# Show modification information about lines in a file.
[Client working copy management]

## Functions
svn_error_t * | svn_client_blame5 (const char *path_or_url, const svn_opt_revision_t *peg_revision, const svn_opt_revision_t *start, const svn_opt_revision_t *end, const svn_diff_file_options_t *diff_options, svn_boolean_t ignore_mime_type, svn_boolean_t include_merged_revisions, svn_client_blame_receiver3_t receiver, void *receiver_baton, svn_client_ctx_t *ctx, apr_pool_t *pool)
| Invoke receiver with receiver_baton on each line-blame item associated with revision end of path_or_url, using start as the default source of all blame.
svn_error_t * | svn_client_blame4 (const char *path_or_url, const svn_opt_revision_t *peg_revision, const svn_opt_revision_t *start, const svn_opt_revision_t *end, const svn_diff_file_options_t *diff_options, svn_boolean_t ignore_mime_type, svn_boolean_t include_merged_revisions, svn_client_blame_receiver2_t receiver, void *receiver_baton, svn_client_ctx_t *ctx, apr_pool_t *pool)
| Similar to svn_client_blame5(), but with svn_client_blame_receiver3_t as the receiver.
svn_error_t * | svn_client_blame3 (const char *path_or_url, const svn_opt_revision_t *peg_revision, const svn_opt_revision_t *start, const svn_opt_revision_t *end, const svn_diff_file_options_t *diff_options, svn_boolean_t ignore_mime_type, svn_client_blame_receiver_t receiver, void *receiver_baton, svn_client_ctx_t *ctx, apr_pool_t *pool)
| Similar to svn_client_blame4(), but with include_merged_revisions set to FALSE, and using a svn_client_blame_receiver2_t as the receiver.
svn_error_t * | svn_client_blame2 (const char *path_or_url, const svn_opt_revision_t *peg_revision, const svn_opt_revision_t *start, const svn_opt_revision_t *end, svn_client_blame_receiver_t receiver, void *receiver_baton, svn_client_ctx_t *ctx, apr_pool_t *pool)
| Similar to svn_client_blame3(), but with diff_options set to default options as returned by svn_diff_file_options_parse() and ignore_mime_type set to FALSE.
svn_error_t * | svn_client_blame (const char *path_or_url, const svn_opt_revision_t *start, const svn_opt_revision_t *end, svn_client_blame_receiver_t receiver, void *receiver_baton, svn_client_ctx_t *ctx, apr_pool_t *pool)
| Similar to svn_client_blame2() except that peg_revision is always the same as end.

## Function Documentation

svn_error_t* svn_client_blame | ( | const char * | path_or_url,
|  | const svn_opt_revision_t * | start,
|  | const svn_opt_revision_t * | end,
|  | svn_client_blame_receiver_t | receiver,
|  | void * | receiver_baton,
|  | svn_client_ctx_t * | ctx,
|  | apr_pool_t * | pool |
| ) |  |  |

Similar to svn_client_blame2() except that peg_revision is always the same as end.

Deprecated:
  Provided for backward compatibility with the 1.1 API.

svn_error_t* svn_client_blame2 | ( | const char * | path_or_url,
|  | const svn_opt_revision_t * | peg_revision,
|  | const svn_opt_revision_t * | start,
|  | const svn_opt_revision_t * | end,
|  | svn_client_blame_receiver_t | receiver,
|  | void * | receiver_baton,
|  | svn_client_ctx_t * | ctx,
|  | apr_pool_t * | pool |
| ) |  |  |

Similar to svn_client_blame3(), but with diff_options set to default options as returned by svn_diff_file_options_parse() and ignore_mime_type set to FALSE.

Deprecated:
  Provided for backwards compatibility with the 1.3 API.

Since:
  New in 1.2.

svn_error_t* svn_client_blame3 | ( | const char * | path_or_url,
|  | const svn_opt_revision_t * | peg_revision,
|  | const svn_opt_revision_t * | start,
|  | const svn_opt_revision_t * | end,
|  | const svn_diff_file_options_t * | diff_options,
|  | svn_boolean_t | ignore_mime_type,
|  | svn_client_blame_receiver_t | receiver,
|  | void * | receiver_baton,
|  | svn_client_ctx_t * | ctx,
|  | apr_pool_t * | pool |
| ) |  |  |

Similar to svn_client_blame4(), but with include_merged_revisions set to FALSE, and using a svn_client_blame_receiver2_t as the receiver.

Deprecated:
  Provided for backwards compatibility with the 1.4 API.

Since:
  New in 1.4.

svn_error_t* svn_client_blame4 | ( | const char * | path_or_url,
|  | const svn_opt_revision_t * | peg_revision,
|  | const svn_opt_revision_t * | start,
|  | const svn_opt_revision_t * | end,
|  | const svn_diff_file_options_t * | diff_options,
|  | svn_boolean_t | ignore_mime_type,
|  | svn_boolean_t | include_merged_revisions,
|  | svn_client_blame_receiver2_t | receiver,
|  | void * | receiver_baton,
|  | svn_client_ctx_t * | ctx,
|  | apr_pool_t * | pool |
| ) |  |  |

Similar to svn_client_blame5(), but with svn_client_blame_receiver3_t as the receiver.

Deprecated:
  Provided for backwards compatibility with the 1.6 API.

Since:
  New in 1.5.

svn_error_t* svn_client_blame5 | ( | const char * | path_or_url,
|  | const svn_opt_revision_t * | peg_revision,
|  | const svn_opt_revision_t * | start,
|  | const svn_opt_revision_t * | end,
|  | const svn_diff_file_options_t * | diff_options,
|  | svn_boolean_t | ignore_mime_type,
|  | svn_boolean_t | include_merged_revisions,
|  | svn_client_blame_receiver3_t | receiver,
|  | void * | receiver_baton,
|  | svn_client_ctx_t * | ctx,
|  | apr_pool_t * | pool |
| ) |  |  |

Invoke receiver with receiver_baton on each line-blame item associated with revision end of path_or_url, using start as the default source of all blame.

peg_revision indicates in which revision path_or_url is valid. If peg_revision->kind is svn_opt_revision_unspecified, then it defaults to svn_opt_revision_head for URLs or svn_opt_revision_working for WC targets.

If start->kind or end->kind is svn_opt_revision_unspecified, return the error SVN_ERR_CLIENT_BAD_REVISION. If either are svn_opt_revision_working, return the error SVN_ERR_UNSUPPORTED_FEATURE. If any of the revisions of path_or_url have a binary mime-type, return the error SVN_ERR_CLIENT_IS_BINARY_FILE, unless ignore_mime_type is TRUE, in which case blame information will be generated regardless of the MIME types of the revisions.

Use diff_options to determine how to compare different revisions of the target.

If include_merged_revisions is TRUE, also return data based upon revisions which have been merged to path_or_url.

Use pool for any temporary allocation.

Since:
  New in 1.7.

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines